/**
 * 
 */
package kr.co.kihyun.beans.entity;

import kr.co.kihyun.moumi.MoumiConfig;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author bhs
 * 
 */
public enum TotItemType {
	TITLE(MoumiConfig.getMessageBundle().getString("moumi.message.tot_item.type.title")), CHAR(MoumiConfig.getMessageBundle()
			.getString("moumi.message.tot_item.type.char")), INT(MoumiConfig.getMessageBundle().getString(
			"moumi.message.tot_item.type.int")), DATE(MoumiConfig.getMessageBundle().getString(
			"moumi.message.tot_item.type.date")), SPCHAR(MoumiConfig.getMessageBundle().getString(
			"moumi.message.tot_item.type.spchar"));

	private String name;
        private static final Logger LOG = LoggerFactory.getLogger(TotItemType.class);
        
	private TotItemType(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return name;
	}

      //v2. 5.static final 필드 변조 가능성 : Update by KWON,HAN 
      //private는 같은 클래스 내에서만 호출이 가능하므로 접근제한이 없는 public으로 하고 final을 사용하지 않는다.        
//	public static final TotItemType asTotItemType(int typeNum) {
	public static TotItemType asTotItemType(int typeNum) {            
            //LOG.debug("v2. 5.static final 필드 변조 가능성 : TotItemType.asTotItemType() values()[typeNum]={}, Test OK", values()[typeNum]);            
		return values()[typeNum];
	}
      //==========================================================               
}
